<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/light_gray">

    <LinearLayout
        android:id="@+id/linearLayout"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:background="@color/light_gray"
        android:orientation="vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/textView"
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:background="@color/red"
            android:gravity="center"
            android:text="@string/invoice_account"
            android:textColor="@color/white"
            android:textSize="20sp"
            android:textStyle="bold" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="80dp"
            android:layout_marginBottom="1dp"
            android:background="@color/white"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/textInvoiceCarrier"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginStart="5dp"
                android:layout_weight="1"
                android:gravity="center"
                android:text="@string/input_unified_number"
                android:textColor="@color/red"
                android:textSize="30sp"
                android:textStyle="bold" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/linearMark1"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:paddingTop="10dp"
            android:paddingBottom="20dp"
            android:background="@color/white"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="80dp"
                android:gravity="center"
                android:orientation="horizontal">

                <EditText
                    android:id="@+id/editTextNumber"
                    android:layout_width="300dp"
                    android:layout_height="wrap_content"
                    android:ems="10"
                    android:textSize="20sp"
                    android:hint="@string/unified_number"
                    android:gravity="center"
                    android:inputType="number"
                    android:maxLength="8"/>

            </LinearLayout>

            <GridLayout
                android:id="@+id/numberPad"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:alignmentMode="alignMargins"
                android:columnCount="3"
                android:rowCount="4"
                android:layout_gravity="center"
                android:orientation="horizontal"
                android:padding="8dp">

                <!-- 第一排 -->
                <Button
                    android:id="@+id/button11"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:backgroundTint="@color/black"
                    android:layout_margin="4dp"
                    android:text="1"
                    android:textSize="24dp" />

                <Button
                    android:id="@+id/button12"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:backgroundTint="@color/black"
                    android:layout_margin="4dp"
                    android:text="2"
                    android:textSize="24dp" />

                <Button
                    android:id="@+id/button13"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:backgroundTint="@color/black"
                    android:layout_margin="4dp"
                    android:text="3"
                    android:textSize="24dp" />


                <!-- 第二排 -->
                <Button
                    android:id="@+id/button14"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:backgroundTint="@color/black"
                    android:layout_margin="4dp"
                    android:text="4"
                    android:textSize="24dp" />

                <Button
                    android:id="@+id/button15"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:backgroundTint="@color/black"
                    android:layout_margin="4dp"
                    android:text="5"
                    android:textSize="24dp" />

                <Button
                    android:id="@+id/button16"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:backgroundTint="@color/black"
                    android:layout_margin="4dp"
                    android:text="6"
                    android:textSize="24dp" />

                <!-- 第三排 -->
                <Button
                    android:id="@+id/button17"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:backgroundTint="@color/black"
                    android:layout_margin="4dp"
                    android:text="7"
                    android:textSize="24dp" />

                <Button
                    android:id="@+id/button18"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:backgroundTint="@color/black"
                    android:layout_margin="4dp"
                    android:text="8"
                    android:textSize="24dp" />

                <Button
                    android:id="@+id/button19"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:backgroundTint="@color/black"
                    android:layout_margin="4dp"
                    android:text="9"
                    android:textSize="24dp" />

                <!-- 第四排 -->
                <Button
                    android:id="@+id/buttonC1"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:backgroundTint="@color/light_gray"
                    android:layout_margin="4dp"
                    android:text="C"
                    android:textSize="24dp" />

                <Button
                    android:id="@+id/button10"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:backgroundTint="@color/black"
                    android:layout_margin="4dp"
                    android:text="0"
                    android:textSize="24dp" />

                <Button
                    android:id="@+id/buttonR1"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:backgroundTint="@color/light_gray"
                    android:layout_margin="4dp"
                    android:text="←"
                    android:textSize="24dp" />

            </GridLayout>



            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="80dp"
                android:gravity="center"
                android:orientation="horizontal">

                <EditText
                    android:id="@+id/editTextPhone"
                    android:layout_width="300dp"
                    android:layout_height="wrap_content"
                    android:ems="10"
                    android:hint="@string/phone_number"
                    android:textSize="20sp"
                    android:gravity="center"
                    android:inputType="phone"
                    android:maxLength="10"/>
            </LinearLayout>

            <GridLayout
                android:id="@+id/numberPad2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:alignmentMode="alignMargins"
                android:columnCount="3"
                android:rowCount="4"
                android:layout_gravity="center"
                android:orientation="horizontal"
                android:padding="8dp">

                <!-- 第一排 -->
                <Button
                    android:id="@+id/button21"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:backgroundTint="@color/black"
                    android:layout_margin="4dp"
                    android:text="1"
                    android:textSize="24dp" />

                <Button
                    android:id="@+id/button22"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:backgroundTint="@color/black"
                    android:layout_margin="4dp"
                    android:text="2"
                    android:textSize="24dp" />

                <Button
                    android:id="@+id/button23"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:backgroundTint="@color/black"
                    android:layout_margin="4dp"
                    android:text="3"
                    android:textSize="24dp" />


                <!-- 第二排 -->
                <Button
                    android:id="@+id/button24"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:backgroundTint="@color/black"
                    android:layout_margin="4dp"
                    android:text="4"
                    android:textSize="24dp" />

                <Button
                    android:id="@+id/button25"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:backgroundTint="@color/black"
                    android:layout_margin="4dp"
                    android:text="5"
                    android:textSize="24dp" />

                <Button
                    android:id="@+id/button26"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:backgroundTint="@color/black"
                    android:layout_margin="4dp"
                    android:text="6"
                    android:textSize="24dp" />

                <!-- 第三排 -->
                <Button
                    android:id="@+id/button27"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:backgroundTint="@color/black"
                    android:layout_margin="4dp"
                    android:text="7"
                    android:textSize="24dp" />

                <Button
                    android:id="@+id/button28"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:backgroundTint="@color/black"
                    android:layout_margin="4dp"
                    android:text="8"
                    android:textSize="24dp" />

                <Button
                    android:id="@+id/button29"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:backgroundTint="@color/black"
                    android:layout_margin="4dp"
                    android:text="9"
                    android:textSize="24dp" />

                <!-- 第四排 -->
                <Button
                    android:id="@+id/buttonC2"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:backgroundTint="@color/light_gray"
                    android:layout_margin="4dp"
                    android:text="C"
                    android:textSize="24dp" />

                <Button
                    android:id="@+id/button20"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:backgroundTint="@color/black"
                    android:layout_margin="4dp"
                    android:text="0"
                    android:textSize="24dp" />

                <Button
                    android:id="@+id/buttonR2"
                    android:layout_width="80dp"
                    android:layout_height="80dp"
                    android:backgroundTint="@color/light_gray"
                    android:layout_margin="4dp"
                    android:text="←"
                    android:textSize="24dp" />

            </GridLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:gravity="center"
                android:orientation="horizontal" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:gravity="center"
            android:orientation="horizontal">

            <Button
                android:id="@+id/buttonCancel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:backgroundTint="@color/white"
                android:text="@string/cancel_40"
                android:textSize="20sp"
                android:textColor="@color/black" />

            <Button
                android:id="@+id/buttonDonation"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:backgroundTint="@color/white"
                android:text="@string/donation_invoice"
                android:textSize="20sp"
                android:visibility="gone"
                android:textColor="@color/black" />

            <Button
                android:id="@+id/buttonFinish"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:backgroundTint="@color/white"
                android:text="@string/input_complete"
                android:textSize="20sp"
                android:textColor="@color/black" />
        </LinearLayout>
    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>